Subject: Re: [RFC] iproute: Add support for extended ack to rtnl_talk

From: Stephen Hemminger <[email-masked]>
Date: Tue, 16 May 2017 09:36:25 -0700

On Sat, 13 May 2017 19:29:57 -0600
David Ahern <[email-masked]> wrote:

> On 5/4/17 2:43 PM, Phil Sutter wrote:
> > So in summary, given that very little change happens to iproute2's
> > internal libnetlink, I don't see much urge to make it use libmnl as
> > backend. In my opinion it just adds another potential source of errors.
> > 
> > Eventually this should be a maintainer level decision, though. :)  
> 
> What is the decision on this?

I am waiting for a longer before committing anything. This was to allow
for a wider range of distribution maintainer feedback.

The most likely outcome is that for 4.12 is to use libmnl for extended ack.
And continue to support building without mnl with loss of functionality.

As far as conversion of all of iproute2 to libmnl. I have better things
to do... But for new functionality like extended ack, devlink, tipc, using
libmnl is easy, safe and it works well. I will continue to not accept
new  code that depends on the other library (libnl). That has come up
a couple of times.